Bug 993048 - Libarchive (bsdtar) does not store or extract POSIX ACLs on linux
Libarchive (bsdtar) does not store or extract POSIX ACLs on linux
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libarchive (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Končický
Fedora Extras Quality Assurance
: Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 10:03 EDT by Pavel Raiskup
Modified: 2014-07-01 18:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: libarchive-3.1.2-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-17 20:35:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Raiskup 2013-08-05 10:03:06 EDT
I have checked the problem originally reported at [1] and at least on Fedora-19
libarchive it is really broken.

This is worth to fix in Fedora.

  $ touch FILENAME
  $ mkdir extract
  $ setfacl -m root:rwx TESTFILE
  $ getfacl TESTFILE
  # file: TESTFILE
  # owner: praiskup
  # group: praiskup
  user::rw-
  user:root:rwx
  group::rw-
  mask::rwx
  other::r--
  $ bsdtar -cpf test.tar TESTFILE&& bsdtar -xpf test.tar -C extract
  $ getfacl extract/TESTFILE 
  # file: extract/TESTFILE
  # owner: praiskup
  # group: praiskup
  user::rw-
  group::rwx
  other::r--

Pavel

[1] http://code.google.com/p/libarchive/issues/detail?id=329
Comment 1 Jaromír Končický 2013-08-07 07:54:41 EDT
The first thing I found out is that ACL_TYPE_NFS4 is not defined in my system (in my sys/acl.h).
This causes that functions translate_acl() in archive_read_disk_entry_from_file.c:440 and archive_write_disk_set_acls() in archive_write_disk_acl.c:69 are suppressed by #if defined() directive and thus saving and restoring ACLs is not performed.

I am using Fedora 19 3.10.4-300.fc19.x86_64.
Comment 2 Fedora Update System 2013-08-08 09:10:51 EDT
libarchive-3.1.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libarchive-3.1.2-7.fc19
Comment 3 Fedora Update System 2013-08-09 13:02:52 EDT
Package libarchive-3.1.2-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libarchive-3.1.2-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14465/libarchive-3.1.2-7.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-17 20:35:53 EDT
libarchive-3.1.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.